Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.devel.relations
Class RelationCrawlerTool

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.makumba.devel.relations.RelationCrawlerTool

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class RelationCrawlerTool

extends HttpServlet

Tool that triggers the crawling of a context, if it wasn't crawled previously.
To be used by the developer tools.
TODO: implement a way to flush all the relations in order to re-crawl, using e.g. a param. needs to have a new method in RelationCrawler that runs a "delete from..."

Version:
  $Id: RelationCrawlerTool.java,v 1.1 Oct 19, 2008 5:18:46 PM manu Exp $
Author:
  Manuel Gay
See Also:
  Serialized Form

Constructor Summary
`RelationCrawlerTool()`

Method Summary
`void` | `doPost(HttpServletRequest req, HttpServletResponse resp)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationCrawlerTool

    public RelationCrawlerTool()

Method Detail

### doPost

    public void doPost(HttpServletRequest req,
                       HttpServletResponse resp)
                throws ServletException,
                       IOException

  Overrides:
    `doPost` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20